IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/76
Addresses2^52
/64 networksPart of one
- Network
2c19:dd:ddc:c25:2610::/76- First address
2c19:dd:ddc:c25:2610::- Last address
2c19:dd:ddc:c25:261f:ffff:ffff:ffff- Addresses
- 4,503,599,627,370,496 (2^52)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2c19:00dd:0ddc:0c25:2610:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
1.6.2.5.2.c.0.c.d.d.0.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets
2c19:dd:ddc:c25:2610::/76 makes 256 subnets of /84.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2c19:dd:ddc:c25:2610::/84 | 2c19:dd:ddc:c25:2610:fff:ffff:ffff |
| 2 | 2c19:dd:ddc:c25:2610:1000::/84 | 2c19:dd:ddc:c25:2610:1fff:ffff:ffff |
| 3 | 2c19:dd:ddc:c25:2610:2000::/84 | 2c19:dd:ddc:c25:2610:2fff:ffff:ffff |
| 4 | 2c19:dd:ddc:c25:2610:3000::/84 | 2c19:dd:ddc:c25:2610:3fff:ffff:ffff |
| 5 | 2c19:dd:ddc:c25:2610:4000::/84 | 2c19:dd:ddc:c25:2610:4fff:ffff:ffff |
| 6 | 2c19:dd:ddc:c25:2610:5000::/84 | 2c19:dd:ddc:c25:2610:5fff:ffff:ffff |
| 7 | 2c19:dd:ddc:c25:2610:6000::/84 | 2c19:dd:ddc:c25:2610:6fff:ffff:ffff |
| 8 | 2c19:dd:ddc:c25:2610:7000::/84 | 2c19:dd:ddc:c25:2610:7fff:ffff:ffff |
| 9 | 2c19:dd:ddc:c25:2610:8000::/84 | 2c19:dd:ddc:c25:2610:8fff:ffff:ffff |
| 10 | 2c19:dd:ddc:c25:2610:9000::/84 | 2c19:dd:ddc:c25:2610:9fff:ffff:ffff |
| 11 | 2c19:dd:ddc:c25:2610:a000::/84 | 2c19:dd:ddc:c25:2610:afff:ffff:ffff |
| 12 | 2c19:dd:ddc:c25:2610:b000::/84 | 2c19:dd:ddc:c25:2610:bfff:ffff:ffff |
| 13 | 2c19:dd:ddc:c25:2610:c000::/84 | 2c19:dd:ddc:c25:2610:cfff:ffff:ffff |
| 14 | 2c19:dd:ddc:c25:2610:d000::/84 | 2c19:dd:ddc:c25:2610:dfff:ffff:ffff |
| 15 | 2c19:dd:ddc:c25:2610:e000::/84 | 2c19:dd:ddc:c25:2610:efff:ffff:ffff |
| 16 | 2c19:dd:ddc:c25:2610:f000::/84 | 2c19:dd:ddc:c25:2610:ffff:ffff:ffff |
| 17 | 2c19:dd:ddc:c25:2611::/84 | 2c19:dd:ddc:c25:2611:fff:ffff:ffff |
| 18 | 2c19:dd:ddc:c25:2611:1000::/84 | 2c19:dd:ddc:c25:2611:1fff:ffff:ffff |
| 19 | 2c19:dd:ddc:c25:2611:2000::/84 | 2c19:dd:ddc:c25:2611:2fff:ffff:ffff |
| 20 | 2c19:dd:ddc:c25:2611:3000::/84 | 2c19:dd:ddc:c25:2611:3fff:ffff:ffff |
| 21 | 2c19:dd:ddc:c25:2611:4000::/84 | 2c19:dd:ddc:c25:2611:4fff:ffff:ffff |
| 22 | 2c19:dd:ddc:c25:2611:5000::/84 | 2c19:dd:ddc:c25:2611:5fff:ffff:ffff |
| 23 | 2c19:dd:ddc:c25:2611:6000::/84 | 2c19:dd:ddc:c25:2611:6fff:ffff:ffff |
| 24 | 2c19:dd:ddc:c25:2611:7000::/84 | 2c19:dd:ddc:c25:2611:7fff:ffff:ffff |
| 25 | 2c19:dd:ddc:c25:2611:8000::/84 | 2c19:dd:ddc:c25:2611:8fff:ffff:ffff |
| 26 | 2c19:dd:ddc:c25:2611:9000::/84 | 2c19:dd:ddc:c25:2611:9fff:ffff:ffff |
| 27 | 2c19:dd:ddc:c25:2611:a000::/84 | 2c19:dd:ddc:c25:2611:afff:ffff:ffff |
| 28 | 2c19:dd:ddc:c25:2611:b000::/84 | 2c19:dd:ddc:c25:2611:bfff:ffff:ffff |
| 29 | 2c19:dd:ddc:c25:2611:c000::/84 | 2c19:dd:ddc:c25:2611:cfff:ffff:ffff |
| 30 | 2c19:dd:ddc:c25:2611:d000::/84 | 2c19:dd:ddc:c25:2611:dfff:ffff:ffff |
| 31 | 2c19:dd:ddc:c25:2611:e000::/84 | 2c19:dd:ddc:c25:2611:efff:ffff:ffff |
| 32 | 2c19:dd:ddc:c25:2611:f000::/84 | 2c19:dd:ddc:c25:2611:ffff:ffff:ffff |
| 33 | 2c19:dd:ddc:c25:2612::/84 | 2c19:dd:ddc:c25:2612:fff:ffff:ffff |
| 34 | 2c19:dd:ddc:c25:2612:1000::/84 | 2c19:dd:ddc:c25:2612:1fff:ffff:ffff |
| 35 | 2c19:dd:ddc:c25:2612:2000::/84 | 2c19:dd:ddc:c25:2612:2fff:ffff:ffff |
| 36 | 2c19:dd:ddc:c25:2612:3000::/84 | 2c19:dd:ddc:c25:2612:3fff:ffff:ffff |
| 37 | 2c19:dd:ddc:c25:2612:4000::/84 | 2c19:dd:ddc:c25:2612:4fff:ffff:ffff |
| 38 | 2c19:dd:ddc:c25:2612:5000::/84 | 2c19:dd:ddc:c25:2612:5fff:ffff:ffff |
| 39 | 2c19:dd:ddc:c25:2612:6000::/84 | 2c19:dd:ddc:c25:2612:6fff:ffff:ffff |
| 40 | 2c19:dd:ddc:c25:2612:7000::/84 | 2c19:dd:ddc:c25:2612:7fff:ffff:ffff |
| 41 | 2c19:dd:ddc:c25:2612:8000::/84 | 2c19:dd:ddc:c25:2612:8fff:ffff:ffff |
| 42 | 2c19:dd:ddc:c25:2612:9000::/84 | 2c19:dd:ddc:c25:2612:9fff:ffff:ffff |
| 43 | 2c19:dd:ddc:c25:2612:a000::/84 | 2c19:dd:ddc:c25:2612:afff:ffff:ffff |
| 44 | 2c19:dd:ddc:c25:2612:b000::/84 | 2c19:dd:ddc:c25:2612:bfff:ffff:ffff |
| 45 | 2c19:dd:ddc:c25:2612:c000::/84 | 2c19:dd:ddc:c25:2612:cfff:ffff:ffff |
| 46 | 2c19:dd:ddc:c25:2612:d000::/84 | 2c19:dd:ddc:c25:2612:dfff:ffff:ffff |
| 47 | 2c19:dd:ddc:c25:2612:e000::/84 | 2c19:dd:ddc:c25:2612:efff:ffff:ffff |
| 48 | 2c19:dd:ddc:c25:2612:f000::/84 | 2c19:dd:ddc:c25:2612:ffff:ffff:ffff |
| 49 | 2c19:dd:ddc:c25:2613::/84 | 2c19:dd:ddc:c25:2613:fff:ffff:ffff |
| 50 | 2c19:dd:ddc:c25:2613:1000::/84 | 2c19:dd:ddc:c25:2613:1fff:ffff:ffff |
| 51 | 2c19:dd:ddc:c25:2613:2000::/84 | 2c19:dd:ddc:c25:2613:2fff:ffff:ffff |
| 52 | 2c19:dd:ddc:c25:2613:3000::/84 | 2c19:dd:ddc:c25:2613:3fff:ffff:ffff |
| 53 | 2c19:dd:ddc:c25:2613:4000::/84 | 2c19:dd:ddc:c25:2613:4fff:ffff:ffff |
| 54 | 2c19:dd:ddc:c25:2613:5000::/84 | 2c19:dd:ddc:c25:2613:5fff:ffff:ffff |
| 55 | 2c19:dd:ddc:c25:2613:6000::/84 | 2c19:dd:ddc:c25:2613:6fff:ffff:ffff |
| 56 | 2c19:dd:ddc:c25:2613:7000::/84 | 2c19:dd:ddc:c25:2613:7fff:ffff:ffff |
| 57 | 2c19:dd:ddc:c25:2613:8000::/84 | 2c19:dd:ddc:c25:2613:8fff:ffff:ffff |
| 58 | 2c19:dd:ddc:c25:2613:9000::/84 | 2c19:dd:ddc:c25:2613:9fff:ffff:ffff |
| 59 | 2c19:dd:ddc:c25:2613:a000::/84 | 2c19:dd:ddc:c25:2613:afff:ffff:ffff |
| 60 | 2c19:dd:ddc:c25:2613:b000::/84 | 2c19:dd:ddc:c25:2613:bfff:ffff:ffff |
| 61 | 2c19:dd:ddc:c25:2613:c000::/84 | 2c19:dd:ddc:c25:2613:cfff:ffff:ffff |
| 62 | 2c19:dd:ddc:c25:2613:d000::/84 | 2c19:dd:ddc:c25:2613:dfff:ffff:ffff |
| 63 | 2c19:dd:ddc:c25:2613:e000::/84 | 2c19:dd:ddc:c25:2613:efff:ffff:ffff |
| 64 | 2c19:dd:ddc:c25:2613:f000::/84 | 2c19:dd:ddc:c25:2613:ffff:ffff:ffff |
| 65 | 2c19:dd:ddc:c25:2614::/84 | 2c19:dd:ddc:c25:2614:fff:ffff:ffff |
| 66 | 2c19:dd:ddc:c25:2614:1000::/84 | 2c19:dd:ddc:c25:2614:1fff:ffff:ffff |
| 67 | 2c19:dd:ddc:c25:2614:2000::/84 | 2c19:dd:ddc:c25:2614:2fff:ffff:ffff |
| 68 | 2c19:dd:ddc:c25:2614:3000::/84 | 2c19:dd:ddc:c25:2614:3fff:ffff:ffff |
| 69 | 2c19:dd:ddc:c25:2614:4000::/84 | 2c19:dd:ddc:c25:2614:4fff:ffff:ffff |
| 70 | 2c19:dd:ddc:c25:2614:5000::/84 | 2c19:dd:ddc:c25:2614:5fff:ffff:ffff |
| 71 | 2c19:dd:ddc:c25:2614:6000::/84 | 2c19:dd:ddc:c25:2614:6fff:ffff:ffff |
| 72 | 2c19:dd:ddc:c25:2614:7000::/84 | 2c19:dd:ddc:c25:2614:7fff:ffff:ffff |
| 73 | 2c19:dd:ddc:c25:2614:8000::/84 | 2c19:dd:ddc:c25:2614:8fff:ffff:ffff |
| 74 | 2c19:dd:ddc:c25:2614:9000::/84 | 2c19:dd:ddc:c25:2614:9fff:ffff:ffff |
| 75 | 2c19:dd:ddc:c25:2614:a000::/84 | 2c19:dd:ddc:c25:2614:afff:ffff:ffff |
| 76 | 2c19:dd:ddc:c25:2614:b000::/84 | 2c19:dd:ddc:c25:2614:bfff:ffff:ffff |
| 77 | 2c19:dd:ddc:c25:2614:c000::/84 | 2c19:dd:ddc:c25:2614:cfff:ffff:ffff |
| 78 | 2c19:dd:ddc:c25:2614:d000::/84 | 2c19:dd:ddc:c25:2614:dfff:ffff:ffff |
| 79 | 2c19:dd:ddc:c25:2614:e000::/84 | 2c19:dd:ddc:c25:2614:efff:ffff:ffff |
| 80 | 2c19:dd:ddc:c25:2614:f000::/84 | 2c19:dd:ddc:c25:2614:ffff:ffff:ffff |
| 81 | 2c19:dd:ddc:c25:2615::/84 | 2c19:dd:ddc:c25:2615:fff:ffff:ffff |
| 82 | 2c19:dd:ddc:c25:2615:1000::/84 | 2c19:dd:ddc:c25:2615:1fff:ffff:ffff |
| 83 | 2c19:dd:ddc:c25:2615:2000::/84 | 2c19:dd:ddc:c25:2615:2fff:ffff:ffff |
| 84 | 2c19:dd:ddc:c25:2615:3000::/84 | 2c19:dd:ddc:c25:2615:3fff:ffff:ffff |
| 85 | 2c19:dd:ddc:c25:2615:4000::/84 | 2c19:dd:ddc:c25:2615:4fff:ffff:ffff |
| 86 | 2c19:dd:ddc:c25:2615:5000::/84 | 2c19:dd:ddc:c25:2615:5fff:ffff:ffff |
| 87 | 2c19:dd:ddc:c25:2615:6000::/84 | 2c19:dd:ddc:c25:2615:6fff:ffff:ffff |
| 88 | 2c19:dd:ddc:c25:2615:7000::/84 | 2c19:dd:ddc:c25:2615:7fff:ffff:ffff |
| 89 | 2c19:dd:ddc:c25:2615:8000::/84 | 2c19:dd:ddc:c25:2615:8fff:ffff:ffff |
| 90 | 2c19:dd:ddc:c25:2615:9000::/84 | 2c19:dd:ddc:c25:2615:9fff:ffff:ffff |
| 91 | 2c19:dd:ddc:c25:2615:a000::/84 | 2c19:dd:ddc:c25:2615:afff:ffff:ffff |
| 92 | 2c19:dd:ddc:c25:2615:b000::/84 | 2c19:dd:ddc:c25:2615:bfff:ffff:ffff |
| 93 | 2c19:dd:ddc:c25:2615:c000::/84 | 2c19:dd:ddc:c25:2615:cfff:ffff:ffff |
| 94 | 2c19:dd:ddc:c25:2615:d000::/84 | 2c19:dd:ddc:c25:2615:dfff:ffff:ffff |
| 95 | 2c19:dd:ddc:c25:2615:e000::/84 | 2c19:dd:ddc:c25:2615:efff:ffff:ffff |
| 96 | 2c19:dd:ddc:c25:2615:f000::/84 | 2c19:dd:ddc:c25:2615:ffff:ffff:ffff |
| 97 | 2c19:dd:ddc:c25:2616::/84 | 2c19:dd:ddc:c25:2616:fff:ffff:ffff |
| 98 | 2c19:dd:ddc:c25:2616:1000::/84 | 2c19:dd:ddc:c25:2616:1fff:ffff:ffff |
| 99 | 2c19:dd:ddc:c25:2616:2000::/84 | 2c19:dd:ddc:c25:2616:2fff:ffff:ffff |
| 100 | 2c19:dd:ddc:c25:2616:3000::/84 | 2c19:dd:ddc:c25:2616:3fff:ffff:ffff |
| 101 | 2c19:dd:ddc:c25:2616:4000::/84 | 2c19:dd:ddc:c25:2616:4fff:ffff:ffff |
| 102 | 2c19:dd:ddc:c25:2616:5000::/84 | 2c19:dd:ddc:c25:2616:5fff:ffff:ffff |
| 103 | 2c19:dd:ddc:c25:2616:6000::/84 | 2c19:dd:ddc:c25:2616:6fff:ffff:ffff |
| 104 | 2c19:dd:ddc:c25:2616:7000::/84 | 2c19:dd:ddc:c25:2616:7fff:ffff:ffff |
| 105 | 2c19:dd:ddc:c25:2616:8000::/84 | 2c19:dd:ddc:c25:2616:8fff:ffff:ffff |
| 106 | 2c19:dd:ddc:c25:2616:9000::/84 | 2c19:dd:ddc:c25:2616:9fff:ffff:ffff |
| 107 | 2c19:dd:ddc:c25:2616:a000::/84 | 2c19:dd:ddc:c25:2616:afff:ffff:ffff |
| 108 | 2c19:dd:ddc:c25:2616:b000::/84 | 2c19:dd:ddc:c25:2616:bfff:ffff:ffff |
| 109 | 2c19:dd:ddc:c25:2616:c000::/84 | 2c19:dd:ddc:c25:2616:cfff:ffff:ffff |
| 110 | 2c19:dd:ddc:c25:2616:d000::/84 | 2c19:dd:ddc:c25:2616:dfff:ffff:ffff |
| 111 | 2c19:dd:ddc:c25:2616:e000::/84 | 2c19:dd:ddc:c25:2616:efff:ffff:ffff |
| 112 | 2c19:dd:ddc:c25:2616:f000::/84 | 2c19:dd:ddc:c25:2616:ffff:ffff:ffff |
| 113 | 2c19:dd:ddc:c25:2617::/84 | 2c19:dd:ddc:c25:2617:fff:ffff:ffff |
| 114 | 2c19:dd:ddc:c25:2617:1000::/84 | 2c19:dd:ddc:c25:2617:1fff:ffff:ffff |
| 115 | 2c19:dd:ddc:c25:2617:2000::/84 | 2c19:dd:ddc:c25:2617:2fff:ffff:ffff |
| 116 | 2c19:dd:ddc:c25:2617:3000::/84 | 2c19:dd:ddc:c25:2617:3fff:ffff:ffff |
| 117 | 2c19:dd:ddc:c25:2617:4000::/84 | 2c19:dd:ddc:c25:2617:4fff:ffff:ffff |
| 118 | 2c19:dd:ddc:c25:2617:5000::/84 | 2c19:dd:ddc:c25:2617:5fff:ffff:ffff |
| 119 | 2c19:dd:ddc:c25:2617:6000::/84 | 2c19:dd:ddc:c25:2617:6fff:ffff:ffff |
| 120 | 2c19:dd:ddc:c25:2617:7000::/84 | 2c19:dd:ddc:c25:2617:7fff:ffff:ffff |
| 121 | 2c19:dd:ddc:c25:2617:8000::/84 | 2c19:dd:ddc:c25:2617:8fff:ffff:ffff |
| 122 | 2c19:dd:ddc:c25:2617:9000::/84 | 2c19:dd:ddc:c25:2617:9fff:ffff:ffff |
| 123 | 2c19:dd:ddc:c25:2617:a000::/84 | 2c19:dd:ddc:c25:2617:afff:ffff:ffff |
| 124 | 2c19:dd:ddc:c25:2617:b000::/84 | 2c19:dd:ddc:c25:2617:bfff:ffff:ffff |
| 125 | 2c19:dd:ddc:c25:2617:c000::/84 | 2c19:dd:ddc:c25:2617:cfff:ffff:ffff |
| 126 | 2c19:dd:ddc:c25:2617:d000::/84 | 2c19:dd:ddc:c25:2617:dfff:ffff:ffff |
| 127 | 2c19:dd:ddc:c25:2617:e000::/84 | 2c19:dd:ddc:c25:2617:efff:ffff:ffff |
| 128 | 2c19:dd:ddc:c25:2617:f000::/84 | 2c19:dd:ddc:c25:2617:ffff:ffff:ffff |
| 129 | 2c19:dd:ddc:c25:2618::/84 | 2c19:dd:ddc:c25:2618:fff:ffff:ffff |
| 130 | 2c19:dd:ddc:c25:2618:1000::/84 | 2c19:dd:ddc:c25:2618:1fff:ffff:ffff |
| 131 | 2c19:dd:ddc:c25:2618:2000::/84 | 2c19:dd:ddc:c25:2618:2fff:ffff:ffff |
| 132 | 2c19:dd:ddc:c25:2618:3000::/84 | 2c19:dd:ddc:c25:2618:3fff:ffff:ffff |
| 133 | 2c19:dd:ddc:c25:2618:4000::/84 | 2c19:dd:ddc:c25:2618:4fff:ffff:ffff |
| 134 | 2c19:dd:ddc:c25:2618:5000::/84 | 2c19:dd:ddc:c25:2618:5fff:ffff:ffff |
| 135 | 2c19:dd:ddc:c25:2618:6000::/84 | 2c19:dd:ddc:c25:2618:6fff:ffff:ffff |
| 136 | 2c19:dd:ddc:c25:2618:7000::/84 | 2c19:dd:ddc:c25:2618:7fff:ffff:ffff |
| 137 | 2c19:dd:ddc:c25:2618:8000::/84 | 2c19:dd:ddc:c25:2618:8fff:ffff:ffff |
| 138 | 2c19:dd:ddc:c25:2618:9000::/84 | 2c19:dd:ddc:c25:2618:9fff:ffff:ffff |
| 139 | 2c19:dd:ddc:c25:2618:a000::/84 | 2c19:dd:ddc:c25:2618:afff:ffff:ffff |
| 140 | 2c19:dd:ddc:c25:2618:b000::/84 | 2c19:dd:ddc:c25:2618:bfff:ffff:ffff |
| 141 | 2c19:dd:ddc:c25:2618:c000::/84 | 2c19:dd:ddc:c25:2618:cfff:ffff:ffff |
| 142 | 2c19:dd:ddc:c25:2618:d000::/84 | 2c19:dd:ddc:c25:2618:dfff:ffff:ffff |
| 143 | 2c19:dd:ddc:c25:2618:e000::/84 | 2c19:dd:ddc:c25:2618:efff:ffff:ffff |
| 144 | 2c19:dd:ddc:c25:2618:f000::/84 | 2c19:dd:ddc:c25:2618:ffff:ffff:ffff |
| 145 | 2c19:dd:ddc:c25:2619::/84 | 2c19:dd:ddc:c25:2619:fff:ffff:ffff |
| 146 | 2c19:dd:ddc:c25:2619:1000::/84 | 2c19:dd:ddc:c25:2619:1fff:ffff:ffff |
| 147 | 2c19:dd:ddc:c25:2619:2000::/84 | 2c19:dd:ddc:c25:2619:2fff:ffff:ffff |
| 148 | 2c19:dd:ddc:c25:2619:3000::/84 | 2c19:dd:ddc:c25:2619:3fff:ffff:ffff |
| 149 | 2c19:dd:ddc:c25:2619:4000::/84 | 2c19:dd:ddc:c25:2619:4fff:ffff:ffff |
| 150 | 2c19:dd:ddc:c25:2619:5000::/84 | 2c19:dd:ddc:c25:2619:5fff:ffff:ffff |
| 151 | 2c19:dd:ddc:c25:2619:6000::/84 | 2c19:dd:ddc:c25:2619:6fff:ffff:ffff |
| 152 | 2c19:dd:ddc:c25:2619:7000::/84 | 2c19:dd:ddc:c25:2619:7fff:ffff:ffff |
| 153 | 2c19:dd:ddc:c25:2619:8000::/84 | 2c19:dd:ddc:c25:2619:8fff:ffff:ffff |
| 154 | 2c19:dd:ddc:c25:2619:9000::/84 | 2c19:dd:ddc:c25:2619:9fff:ffff:ffff |
| 155 | 2c19:dd:ddc:c25:2619:a000::/84 | 2c19:dd:ddc:c25:2619:afff:ffff:ffff |
| 156 | 2c19:dd:ddc:c25:2619:b000::/84 | 2c19:dd:ddc:c25:2619:bfff:ffff:ffff |
| 157 | 2c19:dd:ddc:c25:2619:c000::/84 | 2c19:dd:ddc:c25:2619:cfff:ffff:ffff |
| 158 | 2c19:dd:ddc:c25:2619:d000::/84 | 2c19:dd:ddc:c25:2619:dfff:ffff:ffff |
| 159 | 2c19:dd:ddc:c25:2619:e000::/84 | 2c19:dd:ddc:c25:2619:efff:ffff:ffff |
| 160 | 2c19:dd:ddc:c25:2619:f000::/84 | 2c19:dd:ddc:c25:2619:ffff:ffff:ffff |
| 161 | 2c19:dd:ddc:c25:261a::/84 | 2c19:dd:ddc:c25:261a:fff:ffff:ffff |
| 162 | 2c19:dd:ddc:c25:261a:1000::/84 | 2c19:dd:ddc:c25:261a:1fff:ffff:ffff |
| 163 | 2c19:dd:ddc:c25:261a:2000::/84 | 2c19:dd:ddc:c25:261a:2fff:ffff:ffff |
| 164 | 2c19:dd:ddc:c25:261a:3000::/84 | 2c19:dd:ddc:c25:261a:3fff:ffff:ffff |
| 165 | 2c19:dd:ddc:c25:261a:4000::/84 | 2c19:dd:ddc:c25:261a:4fff:ffff:ffff |
| 166 | 2c19:dd:ddc:c25:261a:5000::/84 | 2c19:dd:ddc:c25:261a:5fff:ffff:ffff |
| 167 | 2c19:dd:ddc:c25:261a:6000::/84 | 2c19:dd:ddc:c25:261a:6fff:ffff:ffff |
| 168 | 2c19:dd:ddc:c25:261a:7000::/84 | 2c19:dd:ddc:c25:261a:7fff:ffff:ffff |
| 169 | 2c19:dd:ddc:c25:261a:8000::/84 | 2c19:dd:ddc:c25:261a:8fff:ffff:ffff |
| 170 | 2c19:dd:ddc:c25:261a:9000::/84 | 2c19:dd:ddc:c25:261a:9fff:ffff:ffff |
| 171 | 2c19:dd:ddc:c25:261a:a000::/84 | 2c19:dd:ddc:c25:261a:afff:ffff:ffff |
| 172 | 2c19:dd:ddc:c25:261a:b000::/84 | 2c19:dd:ddc:c25:261a:bfff:ffff:ffff |
| 173 | 2c19:dd:ddc:c25:261a:c000::/84 | 2c19:dd:ddc:c25:261a:cfff:ffff:ffff |
| 174 | 2c19:dd:ddc:c25:261a:d000::/84 | 2c19:dd:ddc:c25:261a:dfff:ffff:ffff |
| 175 | 2c19:dd:ddc:c25:261a:e000::/84 | 2c19:dd:ddc:c25:261a:efff:ffff:ffff |
| 176 | 2c19:dd:ddc:c25:261a:f000::/84 | 2c19:dd:ddc:c25:261a:ffff:ffff:ffff |
| 177 | 2c19:dd:ddc:c25:261b::/84 | 2c19:dd:ddc:c25:261b:fff:ffff:ffff |
| 178 | 2c19:dd:ddc:c25:261b:1000::/84 | 2c19:dd:ddc:c25:261b:1fff:ffff:ffff |
| 179 | 2c19:dd:ddc:c25:261b:2000::/84 | 2c19:dd:ddc:c25:261b:2fff:ffff:ffff |
| 180 | 2c19:dd:ddc:c25:261b:3000::/84 | 2c19:dd:ddc:c25:261b:3fff:ffff:ffff |
| 181 | 2c19:dd:ddc:c25:261b:4000::/84 | 2c19:dd:ddc:c25:261b:4fff:ffff:ffff |
| 182 | 2c19:dd:ddc:c25:261b:5000::/84 | 2c19:dd:ddc:c25:261b:5fff:ffff:ffff |
| 183 | 2c19:dd:ddc:c25:261b:6000::/84 | 2c19:dd:ddc:c25:261b:6fff:ffff:ffff |
| 184 | 2c19:dd:ddc:c25:261b:7000::/84 | 2c19:dd:ddc:c25:261b:7fff:ffff:ffff |
| 185 | 2c19:dd:ddc:c25:261b:8000::/84 | 2c19:dd:ddc:c25:261b:8fff:ffff:ffff |
| 186 | 2c19:dd:ddc:c25:261b:9000::/84 | 2c19:dd:ddc:c25:261b:9fff:ffff:ffff |
| 187 | 2c19:dd:ddc:c25:261b:a000::/84 | 2c19:dd:ddc:c25:261b:afff:ffff:ffff |
| 188 | 2c19:dd:ddc:c25:261b:b000::/84 | 2c19:dd:ddc:c25:261b:bfff:ffff:ffff |
| 189 | 2c19:dd:ddc:c25:261b:c000::/84 | 2c19:dd:ddc:c25:261b:cfff:ffff:ffff |
| 190 | 2c19:dd:ddc:c25:261b:d000::/84 | 2c19:dd:ddc:c25:261b:dfff:ffff:ffff |
| 191 | 2c19:dd:ddc:c25:261b:e000::/84 | 2c19:dd:ddc:c25:261b:efff:ffff:ffff |
| 192 | 2c19:dd:ddc:c25:261b:f000::/84 | 2c19:dd:ddc:c25:261b:ffff:ffff:ffff |
| 193 | 2c19:dd:ddc:c25:261c::/84 | 2c19:dd:ddc:c25:261c:fff:ffff:ffff |
| 194 | 2c19:dd:ddc:c25:261c:1000::/84 | 2c19:dd:ddc:c25:261c:1fff:ffff:ffff |
| 195 | 2c19:dd:ddc:c25:261c:2000::/84 | 2c19:dd:ddc:c25:261c:2fff:ffff:ffff |
| 196 | 2c19:dd:ddc:c25:261c:3000::/84 | 2c19:dd:ddc:c25:261c:3fff:ffff:ffff |
| 197 | 2c19:dd:ddc:c25:261c:4000::/84 | 2c19:dd:ddc:c25:261c:4fff:ffff:ffff |
| 198 | 2c19:dd:ddc:c25:261c:5000::/84 | 2c19:dd:ddc:c25:261c:5fff:ffff:ffff |
| 199 | 2c19:dd:ddc:c25:261c:6000::/84 | 2c19:dd:ddc:c25:261c:6fff:ffff:ffff |
| 200 | 2c19:dd:ddc:c25:261c:7000::/84 | 2c19:dd:ddc:c25:261c:7fff:ffff:ffff |
| 201 | 2c19:dd:ddc:c25:261c:8000::/84 | 2c19:dd:ddc:c25:261c:8fff:ffff:ffff |
| 202 | 2c19:dd:ddc:c25:261c:9000::/84 | 2c19:dd:ddc:c25:261c:9fff:ffff:ffff |
| 203 | 2c19:dd:ddc:c25:261c:a000::/84 | 2c19:dd:ddc:c25:261c:afff:ffff:ffff |
| 204 | 2c19:dd:ddc:c25:261c:b000::/84 | 2c19:dd:ddc:c25:261c:bfff:ffff:ffff |
| 205 | 2c19:dd:ddc:c25:261c:c000::/84 | 2c19:dd:ddc:c25:261c:cfff:ffff:ffff |
| 206 | 2c19:dd:ddc:c25:261c:d000::/84 | 2c19:dd:ddc:c25:261c:dfff:ffff:ffff |
| 207 | 2c19:dd:ddc:c25:261c:e000::/84 | 2c19:dd:ddc:c25:261c:efff:ffff:ffff |
| 208 | 2c19:dd:ddc:c25:261c:f000::/84 | 2c19:dd:ddc:c25:261c:ffff:ffff:ffff |
| 209 | 2c19:dd:ddc:c25:261d::/84 | 2c19:dd:ddc:c25:261d:fff:ffff:ffff |
| 210 | 2c19:dd:ddc:c25:261d:1000::/84 | 2c19:dd:ddc:c25:261d:1fff:ffff:ffff |
| 211 | 2c19:dd:ddc:c25:261d:2000::/84 | 2c19:dd:ddc:c25:261d:2fff:ffff:ffff |
| 212 | 2c19:dd:ddc:c25:261d:3000::/84 | 2c19:dd:ddc:c25:261d:3fff:ffff:ffff |
| 213 | 2c19:dd:ddc:c25:261d:4000::/84 | 2c19:dd:ddc:c25:261d:4fff:ffff:ffff |
| 214 | 2c19:dd:ddc:c25:261d:5000::/84 | 2c19:dd:ddc:c25:261d:5fff:ffff:ffff |
| 215 | 2c19:dd:ddc:c25:261d:6000::/84 | 2c19:dd:ddc:c25:261d:6fff:ffff:ffff |
| 216 | 2c19:dd:ddc:c25:261d:7000::/84 | 2c19:dd:ddc:c25:261d:7fff:ffff:ffff |
| 217 | 2c19:dd:ddc:c25:261d:8000::/84 | 2c19:dd:ddc:c25:261d:8fff:ffff:ffff |
| 218 | 2c19:dd:ddc:c25:261d:9000::/84 | 2c19:dd:ddc:c25:261d:9fff:ffff:ffff |
| 219 | 2c19:dd:ddc:c25:261d:a000::/84 | 2c19:dd:ddc:c25:261d:afff:ffff:ffff |
| 220 | 2c19:dd:ddc:c25:261d:b000::/84 | 2c19:dd:ddc:c25:261d:bfff:ffff:ffff |
| 221 | 2c19:dd:ddc:c25:261d:c000::/84 | 2c19:dd:ddc:c25:261d:cfff:ffff:ffff |
| 222 | 2c19:dd:ddc:c25:261d:d000::/84 | 2c19:dd:ddc:c25:261d:dfff:ffff:ffff |
| 223 | 2c19:dd:ddc:c25:261d:e000::/84 | 2c19:dd:ddc:c25:261d:efff:ffff:ffff |
| 224 | 2c19:dd:ddc:c25:261d:f000::/84 | 2c19:dd:ddc:c25:261d:ffff:ffff:ffff |
| 225 | 2c19:dd:ddc:c25:261e::/84 | 2c19:dd:ddc:c25:261e:fff:ffff:ffff |
| 226 | 2c19:dd:ddc:c25:261e:1000::/84 | 2c19:dd:ddc:c25:261e:1fff:ffff:ffff |
| 227 | 2c19:dd:ddc:c25:261e:2000::/84 | 2c19:dd:ddc:c25:261e:2fff:ffff:ffff |
| 228 | 2c19:dd:ddc:c25:261e:3000::/84 | 2c19:dd:ddc:c25:261e:3fff:ffff:ffff |
| 229 | 2c19:dd:ddc:c25:261e:4000::/84 | 2c19:dd:ddc:c25:261e:4fff:ffff:ffff |
| 230 | 2c19:dd:ddc:c25:261e:5000::/84 | 2c19:dd:ddc:c25:261e:5fff:ffff:ffff |
| 231 | 2c19:dd:ddc:c25:261e:6000::/84 | 2c19:dd:ddc:c25:261e:6fff:ffff:ffff |
| 232 | 2c19:dd:ddc:c25:261e:7000::/84 | 2c19:dd:ddc:c25:261e:7fff:ffff:ffff |
| 233 | 2c19:dd:ddc:c25:261e:8000::/84 | 2c19:dd:ddc:c25:261e:8fff:ffff:ffff |
| 234 | 2c19:dd:ddc:c25:261e:9000::/84 | 2c19:dd:ddc:c25:261e:9fff:ffff:ffff |
| 235 | 2c19:dd:ddc:c25:261e:a000::/84 | 2c19:dd:ddc:c25:261e:afff:ffff:ffff |
| 236 | 2c19:dd:ddc:c25:261e:b000::/84 | 2c19:dd:ddc:c25:261e:bfff:ffff:ffff |
| 237 | 2c19:dd:ddc:c25:261e:c000::/84 | 2c19:dd:ddc:c25:261e:cfff:ffff:ffff |
| 238 | 2c19:dd:ddc:c25:261e:d000::/84 | 2c19:dd:ddc:c25:261e:dfff:ffff:ffff |
| 239 | 2c19:dd:ddc:c25:261e:e000::/84 | 2c19:dd:ddc:c25:261e:efff:ffff:ffff |
| 240 | 2c19:dd:ddc:c25:261e:f000::/84 | 2c19:dd:ddc:c25:261e:ffff:ffff:ffff |
| 241 | 2c19:dd:ddc:c25:261f::/84 | 2c19:dd:ddc:c25:261f:fff:ffff:ffff |
| 242 | 2c19:dd:ddc:c25:261f:1000::/84 | 2c19:dd:ddc:c25:261f:1fff:ffff:ffff |
| 243 | 2c19:dd:ddc:c25:261f:2000::/84 | 2c19:dd:ddc:c25:261f:2fff:ffff:ffff |
| 244 | 2c19:dd:ddc:c25:261f:3000::/84 | 2c19:dd:ddc:c25:261f:3fff:ffff:ffff |
| 245 | 2c19:dd:ddc:c25:261f:4000::/84 | 2c19:dd:ddc:c25:261f:4fff:ffff:ffff |
| 246 | 2c19:dd:ddc:c25:261f:5000::/84 | 2c19:dd:ddc:c25:261f:5fff:ffff:ffff |
| 247 | 2c19:dd:ddc:c25:261f:6000::/84 | 2c19:dd:ddc:c25:261f:6fff:ffff:ffff |
| 248 | 2c19:dd:ddc:c25:261f:7000::/84 | 2c19:dd:ddc:c25:261f:7fff:ffff:ffff |
| 249 | 2c19:dd:ddc:c25:261f:8000::/84 | 2c19:dd:ddc:c25:261f:8fff:ffff:ffff |
| 250 | 2c19:dd:ddc:c25:261f:9000::/84 | 2c19:dd:ddc:c25:261f:9fff:ffff:ffff |
| 251 | 2c19:dd:ddc:c25:261f:a000::/84 | 2c19:dd:ddc:c25:261f:afff:ffff:ffff |
| 252 | 2c19:dd:ddc:c25:261f:b000::/84 | 2c19:dd:ddc:c25:261f:bfff:ffff:ffff |
| 253 | 2c19:dd:ddc:c25:261f:c000::/84 | 2c19:dd:ddc:c25:261f:cfff:ffff:ffff |
| 254 | 2c19:dd:ddc:c25:261f:d000::/84 | 2c19:dd:ddc:c25:261f:dfff:ffff:ffff |
| 255 | 2c19:dd:ddc:c25:261f:e000::/84 | 2c19:dd:ddc:c25:261f:efff:ffff:ffff |
| 256 | 2c19:dd:ddc:c25:261f:f000::/84 | 2c19:dd:ddc:c25:261f:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |